Bug 868191 - Errata version 1.4.16 released yesterday changes behaviour in check_snmp
Errata version 1.4.16 released yesterday changes behaviour in check_snmp
Status: CLOSED WONTFIX
Product: Fedora EPEL
Classification: Fedora
Component: nagios-plugins (Show other bugs)
el6
All Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Ohad Levy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-19 05:01 EDT by Skippy
Modified: 2015-09-11 10:47 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-11 10:47:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Skippy 2012-10-19 05:01:31 EDT
Description of problem:


My nagios box upgraded automatically from nagios-plugins-1.4.15 to nagios-plugins-1.4.16, and some behaviour has changed. Specifically...

/usr/lib64/nagios/plugins/check_snmp works differently.

/usr/lib64/nagios/plugins/check_snmp -c 0:149999 used to be critical if the value returned was in the range between 0 and 149999. Now, it's only critical if the range is not in 0 to 149999.

I don't think errata should change behaviour, even though the new way is probably better.
Comment 1 Jose Pedro Oliveira 2013-10-24 12:27:07 EDT
Skippy,

Could you check if the problem you describe has been fixed nagios-plugins 1.5 ?

From the NEWS file:
----------
1.5 2nd October 2013
    ENHANCEMENTS
    ...
    New check_snmp --offset option to allow for adding/substracting an offset value to sensor data
    Let check_snmp support an arbitrary number of OIDs
    ...

    FIXES
    ...
    Fix check_snmp reversed threshold ranges (backward-compatibility)
    Fix check_snmp memory violation when using more than 8 oids (Robin Sonefors)
    ...
----------

Source:
https://www.nagios-plugins.org/doc/news.txt
Comment 3 Scott Wilkerson 2015-09-11 10:47:54 EDT
The Nagios Plugin guidelines state this is expected behavior
https://nagios-plugins.org/doc/guidelines.html#THRESHOLDFORMAT

Additionally the version mentioned in this bug is no longer being used.

Note You need to log in before you can comment on or make changes to this bug.